# Record TCefV8StackFrame

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefV8StackFrame = record`

## Description

Structure representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

NOTE: This struct is allocated DLL-side.

Implemented by ICefV8StackFrame.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_stack_frame_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefV8StackFrame): Integer; stdcall;`
| `get_script_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;`
| `get_script_name_or_source_url: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;`
| `get_function_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;`
| `get_line_number: function(self: PCefV8StackFrame): Integer; stdcall;`
| `get_column: function(self: PCefV8StackFrame): Integer; stdcall;`
| `is_eval: function(self: PCefV8StackFrame): Integer; stdcall;`
| `is_constructor: function(self: PCefV8StackFrame): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefV8StackFrame): Integer; stdcall;`
This item has no description.

| `get_script_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;`
This item has no description.

| `get_script_name_or_source_url: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;`
This item has no description.

| `get_function_name: function(self: PCefV8StackFrame): PCefStringUserFree; stdcall;`
This item has no description.

| `get_line_number: function(self: PCefV8StackFrame): Integer; stdcall;`
This item has no description.

| `get_column: function(self: PCefV8StackFrame): Integer; stdcall;`
This item has no description.

| `is_eval: function(self: PCefV8StackFrame): Integer; stdcall;`
This item has no description.

| `is_constructor: function(self: PCefV8StackFrame): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.